import {
  listRecords,
  getRecordByPk,
  createRecord,
  updateRecordByPk,
  deleteRecordByPk
} from "./genericCrudController.js";

const TABLE_NAME = "locations";
const PK = ["location_id"];

export const listLocations = listRecords(TABLE_NAME);
export const getLocationByPk = getRecordByPk(TABLE_NAME, PK);
export const createLocation = createRecord(TABLE_NAME);
export const updateLocationByPk = updateRecordByPk(TABLE_NAME, PK);
export const deleteLocationByPk = deleteRecordByPk(TABLE_NAME, PK);

